[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [hudson-dev] Fwd: Hudson upgrade from 2.2.1 to 3.0.0 ( In trouble )

This exception is caused when the using the Fisheye browser. If you do not have anything in the field for Root Module, it will throw this exception. I gave Vishal a .hpi which contained the fix for this issue, and I will be releasing a new version today with this resolved.


On Mon, Feb 11, 2013 at 4:58 AM, Vishal chugh <er.chughvishal@xxxxxxxxx> wrote:
My bad , forgot to attach error itself

On Mon, Feb 11, 2013 at 4:26 PM, Vishal chugh <er.chughvishal@xxxxxxxxx> wrote:
Hi Prakash,

Thank you for assisting with this.

While upgrading from 2.2.1  to 3.0.0 , we proceeded with all plugins upgrades when asked during first access of Hudson GUI page , when we started the tomcat first time after upgrade . All upgrades for plugins went fine , we could see in catalina.out :successfuly installed messages .

But back to square one , we are on same problem which we reported below , that we are not able to modify job's configuration anymore :-(

We get the attached error , while saving job after modification  ( for security reasons , we have modified SVN and fisheye URLs in  attached error  )

Can you please advise?

Thanks,
Vishal Chugh

On Fri, Feb 8, 2013 at 9:47 PM, Winston Prakash <winston.prakash@xxxxxxxxx> wrote:
Hi Vishal,

Hudson 3.0.0 is a release of Hudson from Eclipse Foundation. It is not mandatory to move to 3.0. However future developments will be done in the Hudson 3.x branch. Hudson 2.x is frozen.

In 3.0.0 lots of library changes have happened due to Eclipse I process. Because of that lots of plugins were migrated to work with Hudson 3.0.0.

It is necessary to update all the plugins for Hudson 3.0.0 to work properly.

If you have any plugins that may not work or you need newer version that in the update center, feel free to let us know, we will do the necessary as quickly as possible.

- Winston

---------- Forwarded message ----------
From: Vishal chugh <er.chughvishal@xxxxxxxxx>
To: hudson-dev@xxxxxxxxxxx
Cc: Sweta Asnodkar <asnodkar.sweta@xxxxxxxxx>, Vishal chugh <er.chughvishal@xxxxxxxxx>
Date: Fri, 8 Feb 2013 12:08:10 +0530
Subject: Hudson upgrade from 2.2.1 to 3.0.0 ( In trouble )
Hi,

We use hudson.war to deploy hudson under tomcat .

Recently , we have upgraded Hudson from 1.396 to 2.2.1  , it went fine and hudson 2.2.1 is up and running .

We had planned to upgrade from 2.2.1 to latest 3.0.0 as well , but it was not successful .

After test upgrade   ( from 2.2.1 to 3.0.0 )  , when we start tomcat  , Hudson URL comes up fine and and in first screen itself ,  we are asked about plugin upgrades ( or continue without plugin upgrade ( by clicking "Finish" )  ?) :----
a) When we choose to click "Finish" and proceed with no plugin upgrade , we see no job under dashboard or anywhere :-( ..All jobs get missing :-( ....An in logs i do see message : Failed to load job etc .
Or b) When we choose to upgrade plugins and then click finish , then all jobs appear in dashboard/views  , No other issue but one major issue :  We are not able to modify any of job's configuration ..

So we continued staying with 2.2.1 only.

Can you please advise , what might have gone wrong?

Is 3.0.0 stable released version ?

And is it mandatory to have maven 3 for hudson 3.0.0 ?  ( as we are using maven 2 projects ) ..

Please advise

Thanks,
Vishal Chugh








_______________________________________________
hudson-dev mailing list
hudson-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/hudson-dev